Bug 27634 - [r300g] 0 AD graphic problem and crash
Summary: [r300g] 0 AD graphic problem and crash
Status: RESOLVED WONTFIX
Alias: None
Product: Mesa
Classification: Unclassified
Component: Drivers/DRI/R100 (show other bugs)
Version: git
Hardware: Other All
: medium normal
Assignee: Marek Olšák
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-04-14 08:06 UTC by adres7
Modified: 2010-06-20 09:29 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments
Log 1 (6.32 KB, text/x-log)
2010-04-14 08:06 UTC, adres7
Details
Log 2 (1.91 KB, text/x-log)
2010-04-14 08:06 UTC, adres7
Details
Xorg log (39.79 KB, text/x-log)
2010-04-14 08:07 UTC, adres7
Details
Graphic problem (42.55 KB, image/jpeg)
2010-04-14 08:07 UTC, adres7
Details
Report correct shader limits. (2.00 KB, patch)
2010-05-09 05:51 UTC, Marek Olšák
Details | Splinter Review
RADEON_DEBUG=fp (3.20 KB, text/plain)
2010-05-09 10:06 UTC, adres7
Details
Fixed graphic (165.75 KB, image/jpeg)
2010-06-20 09:29 UTC, adres7
Details

Note You need to log in before you can comment on or make changes to this bug.
Description adres7 2010-04-14 08:06:19 UTC
Created attachment 35007 [details]
Log 1
Comment 1 adres7 2010-04-14 08:06:46 UTC
Created attachment 35008 [details]
Log 2
Comment 2 adres7 2010-04-14 08:07:16 UTC
Created attachment 35009 [details]
Xorg log
Comment 3 adres7 2010-04-14 08:07:38 UTC
Created attachment 35010 [details]
Graphic problem
Comment 4 Marek Olšák 2010-04-14 09:50:26 UTC
I've hopefully fixed the issue with dummy shaders causing crashes in git. However, I don't think we can do anything with the failing shader right now because it surpasses hardware limitations of R300 and instead it loads a shader which does nothing. I'd like not to discuss here whether this is good or not, but it's something which will be revisited in the future. The fact that the driver continues rendering "something" gives you enough time to switch to lower graphics settings if your application permits that.
Comment 5 Marek Olšák 2010-05-08 08:27:34 UTC
Closing because the game loads shaders longer than hardware can handle.
Comment 6 adres7 2010-05-09 00:58:18 UTC
But on Windows XP this game working... so it isn't the fault of hardware.
Comment 7 Marek Olšák 2010-05-09 05:51:27 UTC
Created attachment 35519 [details] [review]
Report correct shader limits.

Could you please try the attached patch? Let me know if it helps.

If not, please run this in console:
RADEON_DEBUG=fp (put the game executable here)
And send me the output.
Comment 8 adres7 2010-05-09 10:05:18 UTC
Can you add patch to this repository: https://launchpad.net/~xorg-edgers/+archive/ppa ? I can't compile patchs.
Comment 9 adres7 2010-05-09 10:06:20 UTC
Created attachment 35526 [details]
RADEON_DEBUG=fp
Comment 10 Marek Olšák 2010-06-09 13:33:05 UTC
Is this still an issue with current git? (I can't update a PPA)
Comment 11 adres7 2010-06-20 09:28:32 UTC
Graphic problem is resolved, but game doesn't start ('Game is starting' is written on the screen).  It takes 100% CPU and nothing happens.
Comment 12 adres7 2010-06-20 09:29:25 UTC
Created attachment 36382 [details]
Fixed graphic


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.